Lists available models
curl --request GET \
--url https://api.hicap.ai/v1/modelsimport requests
url = "https://api.hicap.ai/v1/models"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hicap.ai/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "gpt-5.5",
"object": "model",
"owned_by": "openai"
},
{
"id": "gpt-5.5-pro",
"object": "model",
"owned_by": "openai"
},
{
"id": "gpt-5",
"object": "model",
"owned_by": "openai"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>",
"inner_error": {
"code": "ResponsibleAIPolicyViolation",
"content_filter_results": {
"sexual": {
"filtered": true
},
"violence": {
"filtered": true
},
"hate": {
"filtered": true
},
"self_harm": {
"filtered": true
},
"profanity": {
"filtered": true,
"detected": true
},
"custom_blocklists": {
"filtered": true,
"details": [
{
"filtered": true,
"id": "<string>"
}
]
},
"error": {
"code": "<string>",
"message": "<string>"
},
"jailbreak": {
"filtered": true,
"detected": true
},
"indirect_attack": {
"filtered": true,
"detected": true
}
}
}
}
}Models
Lists available models
Returns the public model catalog available through the Hicap API. Use model IDs from this response in OpenAI-compatible endpoints such as /chat/completions.
GET
/
models
Lists available models
Use
The response follows the OpenAI-compatible list shape:
GET /v1/models to list public Hicap model IDs. This endpoint does not require authentication. Pass one of these IDs as the model value in OpenAI-compatible endpoints such as chat completions.
For the full public model catalog with pricing and context windows, see All Models.
curl https://api.hicap.ai/v1/models
{
"object": "list",
"data": [
{
"id": "gpt-5.5",
"object": "model",
"owned_by": "openai"
},
{
"id": "gpt-5.5-pro",
"object": "model",
"owned_by": "openai"
},
{
"id": "gpt-5",
"object": "model",
"owned_by": "openai"
}
]
}
OpenAI model references
The public model list can include these OpenAI models:| Model ID | Object | Reference |
|---|---|---|
gpt-5.5 | model | GPT-5.5 Model ↗ |
gpt-5.5-pro | model | GPT-5.5 pro Model ↗ |
Was this page helpful?
⌘I